import { cookies } from 'next/headers';

const UserPreferences: React.FC = async () => {
  const userCookies = await cookies();
  const favoriteGenre =
    userCookies.get('favoriteGenre')?.value || 'Science Fiction';

  return (
    <aside>
      <p>Your favorite genre: {favoriteGenre}</p>
    </aside>
  );
};

export default UserPreferences;
